Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Miquel Raynal <[email-masked]>
Date: Tue, 25 Nov 2025 15:55:08 +0100

Hello Yury,

On 25/11/2025 at 09:44:27 -05, Yury Norov <[email-masked]> wrote:

> On Tue, Nov 25, 2025 at 09:37:25AM +0100, Geert Uytterhoeven wrote:
>> Hi Miquel,
>> 
>> On Tue, 25 Nov 2025 at 09:31, Miquel Raynal <[email-masked]> wrote:
>> > >>  /* non compile-time field get/prep */
>> > >> -#define field_get(_mask, _reg) (((_reg) & (_mask)) >> (ffs(_mask) - 1))
>> > >> -#define field_prep(_mask, _val) (((_val) << (ffs(_mask) - 1)) & (_mask))
>> > >> +#define sunxi_field_get(_mask, _reg) (((_reg) & (_mask)) >> (ffs(_mask) - 1))
>> > >> +#define sunxi_field_prep(_mask, _val) (((_val) << (ffs(_mask) - 1)) & (_mask))
>> > >
>> > > See "[PATCH -next v6 11/26] mtd: rawnand: sunxi: #undef
>> > > field_{get,prep}() before local definition"[1] and follow-up
>> > > "[PATCH -next v6 24/26] mtd: rawnand: sunxi: Convert to common
>> > > field_{get,prep}() helpers"[2].
>> > > The former unfortunately didn't make it into the nand tree yet...
>> > >
>> > > [1] https://lore.kernel.org/all/703d7[email-masked]
>> > > [2] https://lore.kernel.org/all/e1c87[email-masked]/
>> >
>> > It wasn't clear to me when/if I could effectively pull these, nor if
>> > they would make it for this release. Were you (or someone else) supposed
>> > to carry these on your own? Or, can I just apply these two now?
>> 
>> The first one you can apply now, to fix the build issue.
>> The second one has to wait until the changes to <linux/bitfield.h>
>> are in your tree.
>
> Is anything expected on my side? Should I drop the trouble patch, or
> just wait, or something else?

Don't drop it, it's on my side to apply the "undef" fix now.

Thanks,
Miquèl